> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable or disable endpoint

> Operacion: Enable or disable endpoint.



## OpenAPI

````yaml /generated/specs/diagnostics.json patch /api/v1/emnify/endpoint/{endpointId}/status
openapi: 3.0.0
info:
  title: Raul API - Diagnostico
  description: Health, consumo, conectividad, SIMs, webhooks fallidos y estados tecnicos.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/emnify/endpoint/{endpointId}/status:
    patch:
      tags:
        - Endpoint Management
      summary: Enable or disable endpoint
      description: 'Operacion: Enable or disable endpoint.'
      operationId: EndpointManagementController_changeEndpointStatus
      parameters:
        - name: endpointId
          required: true
          in: path
          description: Emnify endpoint ID
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeEndpointStatusRequestDto'
      responses:
        '200':
          description: Status changed successfully
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmnifyErrorDto'
      security:
        - bearerAuth: []
components:
  schemas:
    ChangeEndpointStatusRequestDto:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether to enable (true) or disable (false) the endpoint
      required:
        - enabled
    EmnifyErrorDto:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
      required:
        - error
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````